---
title: "List available news feeds"
description: "Lists news feed topics and descriptions. Accepts a bearer API key or [x402 payment](https://y2.dev/docs/api/x402). Without a key, read the `402` challenge in `PAYMENT-REQUIRED`. Retry with `PAYMENT-SIGNATURE`."
canonical: https://y2.dev/docs/api/reference/news/listFeeds/
---

Endpoint Reference[News](https://y2.dev/docs/api/reference/news)

# List available news feeds

Lists news feed topics and descriptions. Accepts a bearer API key or \[x402 payment]\(https\://y2.dev/docs/api/x402). Without a key, read the \`402\` challenge in \`PAYMENT-REQUIRED\`. Retry with \`PAYMENT-SIGNATURE\`.

`GET https://api.y2.dev/api/v1/news/feeds`

- Operation ID: `listFeeds`
- Required scopes: `news:read`
- Accepts x402 pay-per-request payment
- Contract: https://y2.dev/openapi.json

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | List of available feeds | `FeedListResponse` |
| 401 | Missing or invalid API key |  |
| 402 | x402 payment required | `X402PaymentRequiredResponse` |

### 200 response fields

| Field | Type | Description |
| --- | --- | --- |
| `data[]` | array of `Feed` |  |
| `data[].source` | `RecordSource` | Where a record came from, how Y2 obtained it, and when. |
| `data[].id` | `TopicEnum` | Available Y2 News Terminal feed topics |
| `data[].name` | string | Human-readable name |
| `data[].shortLabel` | string | Compact display name |
| `data[].description` | string | Feed description |
| `data[].group` | string | Machine-readable topic group ID |
| `data[].groupLabel` | string | Human-readable topic group name |
| `data[].color` | string | UI gradient classes associated with the feed |
| `data[].ingestOntology` | boolean | Whether eligible signals can enter the OSINT ontology pipeline |
| `meta` | object |  |
| `meta.count` | integer |  |
| `meta.defaultTopics[]` | array of `TopicEnum` |  |
